cmake_minimum_required(VERSION 3.8)
project(LotRO_Universal_Dat_Library)

set(CMAKE_CXX_STANDARD 11)

set(SOURCE_FILES
        DatException.h
        LotroDatPatcher.h

        DatFile.cpp DatFile.h
        BinaryData.cpp BinaryData.h
        Database.cpp Database.h

        Subfile.cpp Subfile.h
        SubDirectory.cpp SubDirectory.h

        sqlite/sqlite3.c sqlite/sqlite3.h
        )

#add_library(LotRO_dat_Patcher SHARED ${SOURCE_FILES})
#target_link_libraries(LotRO_dat_Patcher ${CMAKE_SOURCE_DIR}/zlib/libzlibstatic.a)

add_executable(LotRO_dat_tester ${SOURCE_FILES} test.cpp)
target_link_libraries(LotRO_dat_tester ${CMAKE_SOURCE_DIR}/zlib/libzlibstatic.a)

